[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#630974: marked as done (ddccontrol: can't start because missing library libpci.so.2)



Your message dated Sun, 19 Jun 2011 13:26:31 +0100
with message-id <20110619132631.2792b79f.codehelp@debian.org>
and subject line Re: Bug#630974: ddccontrol: can't start because missing library libpci.so.2
has caused the Debian Bug report #630974,
regarding ddccontrol: can't start because missing library libpci.so.2
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
630974: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=630974
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: ddccontrol
Version: 0.4.2-8
Severity: important


When I try to start ddccontrol I get this error:

,----
| 20022 /home/ignotus % ddccontrol
| ddccontrol: error while loading shared libraries: libpci.so.2: cannot open shared object file: No such file or directory
| zsh: exit 127   ddccontrol
`----

Why does it depend on both libpci.so.3 and libpci.so.2?

,----
| 20028 /usr/bin % ldd ./ddccontrol
| 	linux-gate.so.1 =>  (0xb7789000)
| 	libddccontrol.so.0 => /usr/local/lib/libddccontrol.so.0 (0xb777c000)
| 	libz.so.1 => /usr/lib/libz.so.1 (0xb7751000)
| 	libxml2.so.2 => /usr/lib/libxml2.so.2 (0xb7627000)
| 	libpci.so.3 => /usr/lib/libpci.so.3 (0xb761d000)
| 	libc.so.6 => /lib/i686/cmov/libc.so.6 (0xb74d7000)
| 	libm.so.6 => /lib/i686/cmov/libm.so.6 (0xb74b1000)
| 	libpci.so.2 => not found
| 	libdl.so.2 => /lib/i686/cmov/libdl.so.2 (0xb74ac000)
| 	libresolv.so.2 => /lib/i686/cmov/libresolv.so.2 (0xb7498000)
| 	/lib/ld-linux.so.2 (0xb778a000)
`----


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.37-1-686 (SMP w/3 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages ddccontrol depends on:
ii  ddccontrol-db          20061014-4        monitor database for ddccontrol
hi  libc6                  2.11.2-11         Embedded GNU C Library: Shared lib
ii  libddccontrol0         0.4.2-6           shared library for ddccontrol
ii  libpci3                1:3.1.7-9         Linux PCI Utilities (shared librar
ii  libxml2                2.7.6.dfsg-2+b1   GNOME XML library
ii  zlib1g                 1:1.2.3.3.dfsg-13 compression library - runtime

ddccontrol recommends no packages.

ddccontrol suggests no packages.

-- debconf-show failed



--- End Message ---
--- Begin Message ---
notfound 630974 0.4.2-8
tag 630974 - moreinfo
quit

On Sun, 19 Jun 2011 13:46:54 +0200
Richard KLINDA <rklinda@gmail.com> wrote:

> Ah, I had an old version of ddccontrol lying around in /usr/local/ since
> 2006 and I completely forgot about it, that caused the problem.  I
> should have checked it, sorry for the noise.

Closing.

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

Attachment: pgpX9ySWfMeOn.pgp
Description: PGP signature


--- End Message ---

Reply to: